<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>Tú Crédito</title>
        {% load bootstrap4 %}
        {% bootstrap_css %}
        {% load static %}
    </head>
    <body>
        <header>
            <!-- Navigation menu -->
            <div class="container">
                <nav class="navbar navbar-expand-lg navbar-dark bg-dark">
                    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                        <span class="navbar-toggler-icon"></span>
                    </button>
                    <div class="collapse navbar-collapse" id="navbarNav">
                        <ul class="navbar-nav">
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'home' %}">Inicio </a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'bnk:list' %}">Bancos</a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link active" href="{% url 'cli:list' %}">Clientes <span class="sr-only">(current)</span></a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" href="{% url 'cre:list' %}">Créditos</a>
                            </li>
                        </ul>
                    </div>
                </nav>
            </div>
        </header>
        <div class="container mt-3">
            <div class="row">
                <!-- Messages -->
                <div class="col-lg-4">
                    {% if messages %}
                        <ul class="messages list-group mb-3">
                            {% for message in messages %}
                                <li {% if message.tags %} class="{{ message.tags }} list-group-item list-group-item-success text-center" {% endif %}>
                                    {{ message }}
                                </li>
                            {% endfor %}
                        </ul>
                    {% endif %}
                </div>
                <!-- Create button -->
                <div class="col-lg-8">
                    <div class="btn_crear">
                        <a href="{% url 'cli:create' %}" type="button" class="btn btn-primary float-right mb-3">Crear</a>
                    </div>
                </div>
            </div>
            <!-- List of Clients -->
            <table class="table table-striped table-hover">
                <thead>
                    <tr>
                        <th>#</th>
                        <th>Nombres</th>
                        <th>Apellidos</th>
                        <th>Correo</th>
                        <th>Acciones</th>
                    </tr>
                </thead>
                <tbody>
                    {% for client in object_list %}
                    <tr>
                        <td>{{ forloop.counter }}</td>
                        <td>{{ client.name }}</td>
                        <td>{{ client.last_name }}</td>
                        <td>{{ client.email }}</td>
                        <td>
                            <!-- Actions -->
                            <form method="POST" action="{% url 'cli:delete' client.pk %}">
                                {% csrf_token %}
                                <div class="btn-group">
                                    <!-- View detail Client -->
                                    <a href="{% url 'cli:detail' client.pk %}" title="Ver" type="button" class="btn btn-info">Ver</a>
                                    <!-- Edit Client -->
                                    <a href="{% url 'cli:update' client.pk %}" title="Editar" type="button" class="btn btn-success">Editar </a>
                                    <!-- Delete Client -->
                                    <button class="btn btn-danger" onclick="return eliminar();" type="submit">Eliminar</button>
                                </div>
                            </form>
                        </td>
                    </tr>
                  {% endfor %}
                  </tbody>
            </table>
        </div>
        <script type="text/javascript">
            function eliminar() {
                return confirm("Eliminar Cliente ?");
      }
    </script>

        {% bootstrap_javascript jquery='full' %}
    </body>
</html>